@import url('https://fonts.googleapis.com/css2?family=Teko:wght@700&display=swap');
@import url('https://fonts.cdnfonts.com/css/helvetica-neue-9');
:root {
    --maize: #FFC44E;
    --brownSugar: #B26A53;
    --brownSugarDark: #85503E;
    --independenceDark: #353E48;
    --background: #f5edde;
    --background-light: #fcf6ea;
  }
body {
    padding: 0;
    margin: 0;
    background-color: var(--background);
    font-family: 'Helvetica 65 Medium', sans-serif;
}
#unity-container { position: absolute }
#unity-container.unity-desktop { left: 50%; top: 50%; transform: translate(-50%, -50%) }
#unity-container.unity-mobile { width: 100%; height: 100% }
#unity-canvas { background: #231F20 }
.unity-mobile #unity-canvas { width: 100%; height: 100% }
#unity-loading-bar { position: absolute;
     left: 50%;
     top: 50%; 
     transform: 
     translate(-50%, -50%); 
     display: none;
    margin: auto;
    }
#unity-logo { 
    width: 154px; 
    height: 130px; 
    background: url('loading_icon.png') center;
    background-size: contain;
    background-repeat: no-repeat;
    margin: auto;
    }
#unity-progress-bar-empty { 
    width: 200px;
    height: 18px; 
    margin: auto;
    background: var(--maize); /*url('progress-bar-empty-light.png') no-repeat center*/ 
    box-shadow: 3px 3px var(--independenceDark);
    border-radius: 5px;
}
#unity-progress-bar-full { 
    width: 0%;
    height: 18px;
    margin-top: 10px;
    background: var(--brownSugar); /*url('progress-bar-full-light.png') no-repeat center*/ 
    border-radius: 5px;
}
#infoTextWrapper{
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    height: 80px;
    width: 250px;
    text-align: center;
}
.backgroundCircle{
    height: 500px;
    width: 500px;
    background: var(--background-light);
    z-index: -1;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    animation: pulse 5s ease-in-out infinite alternate;
    -webkit-animation: pulse 1.2s ease-in-out infinite alternate;
}
@keyframes pulse {
    0% {
height: 500px;
width: 500px;
    }
    100% {
        height: 550px;
        width: 550px;
    }
}
#unity-footer { position: relative }
.unity-mobile #unity-footer { display: none }
#unity-webgl-logo { float:left; width: 204px; height: 38px; background: url('webgl-logo.png') no-repeat center }
#unity-build-title { float: right; margin-right: 10px; line-height: 38px; font-family: arial; font-size: 18px }
#unity-fullscreen-button { float: right; width: 38px; height: 38px; background: url('fullscreen-button.png') no-repeat center }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }

.button{
  background-color: var(--maize);
  border: none;
  font-family: 'Teko', sans-serif;
  color: var(--brownSugar);
  text-shadow: 1px 1px whitesmoke;
  padding: 15px 32px 10px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 24px;  
  box-shadow: 3px 3px var(--independenceDark);
  border-radius: 5px;
}
select{
    background-color: var(--maize);
  border: none;
  font-family: 'Teko', sans-serif;
  color: var(--independenceDark);
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 24px;  
  box-shadow: 3px 3px var(--independenceDark);
  border-radius: 5px;

}

.titleBar{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 20px;
    width: 200px;
    background-color: var(--brownSugar);  
    color: var(--maize);
    border: none;
    font-family: 'Teko', sans-serif;
    padding: 15px 32px 10px 32px;
    margin: auto;
    margin-bottom: 1rem;
    text-align: center;
  text-decoration: none;
  font-size: 24px;  
  box-shadow: 3px 3px var(--independenceDark);
  border-radius: 5px;

}
.titleBar > p{
    margin: 0;
}

/* --------------------- LandingPage ----------------------*/


h1 {
    text-transform: uppercase;
    font-size: 40px;
    filter: drop-shadow(2px 2px 0px var(--independenceDark));
    margin: -10px 0;
    margin-bottom: -12px;
}

h2 {
    font-family: 'Teko';
    color: var(--independenceDark);
}



.homeContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    justify-content: center;
    overflow-y: hidden;
}


.welcomeText {
    text-align: center;
    padding: 0 40px;
    max-width: 450px;
    margin: 60px 0 100px;
}

#welcomeContainer {
    margin-top: 80px;
}

#Title {
    max-width: 270px;
    width: 70vw;
    height: auto;
}

#welcomeTo {
    width: 140px;
    height: 15px;
    margin-bottom: 10px;
}


#playButton {
    background-color: var(--maize);
    filter: drop-shadow(3px 3px 0px var(--independenceDark));
    border-radius: 50%;
    width: 60px;
    height: 60px;
    margin: auto;
    padding: 20px 15px 20px 25px;
    animation: pulseSmall 5s ease-in-out infinite alternate;
    -webkit-animation: pulseSmall 1.2s ease-in-out infinite alternate;
}

@keyframes pulseSmall {
    0% {
        height: 55px;
        width: 55px;
    }

    100% {
        height: 60px;
        width: 60px;
    }
}

#playButtonContainer {
    display: block;
    height: 100px;
}

#homeCircle {
    animation: pulseCircleSmall 5s ease-in-out infinite alternate;
    -webkit-animation: pulseCircleSmall 1.2s ease-in-out infinite alternate;
}

@keyframes pulseCircleSmall {
    0% {
        height: 400px;
        width: 400px;
    }

    100% {
        height: 450px;
        width: 450px;
    }
}


